> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connections of a single vendor

> Gets the connection details for a specified vendor



## OpenAPI

````yaml marketplace get /v1/retailers/{retailer_pk}/connections/{id}/
openapi: 3.0.1
info:
  title: Dropship
  version: 1.0.0
  description: >-
    fabric Dropship is a simple, intuitive, dropship platform built for business
    users. It offers easy integration with Shopify, BigCommerce, or existing
    stacks; supports retailer onboarding; and offers dedicated vendor onboarding
    support.  With fabric Dropship, you can connect with new vendors with no
    inventory risk; offer extended aisles of products; expand assortments with
    existing vendors; test new categories, SKUs, and price points; explore brand
    partnerships; and increase marketing and search opportunities. Using
    dropshipping effectivity can fuel data-driven merchandising decisions,
    maximizing margin and customer experience.  Dropship assortment strategies
    enable you to: <br /> 1) Cross-sell and upsell to raise your average order
    value <br /> 2) Offer substitute products to supplement out-of-stock
    inventory <br /> 3) Capitalize on fast-moving market trends with readily
    sourceable products <br /> 4) Test and validate new products, brands, and
    categories before manufacturing or placing POs <br /> 5) Add depth to your
    existing product assortment with variations and endless aisles <br /> 6)
    Offer seasonal products without the risking of over-buying or unhealthy
    inventory.
  contact:
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://marketplace-api.fabric.inc
security:
  - Bearer: []
externalDocs:
  description: Find out more about Dropship
  url: https://developer.fabric.inc/docs/marketplace-suppliers-overview
paths:
  /v1/retailers/{retailer_pk}/connections/{id}/:
    get:
      tags:
        - Connections
      summary: Get connections of a single vendor
      description: Gets the connection details for a specified vendor
      operationId: v1_retailers_connections_read
      parameters:
        - name: id
          in: path
          description: Connection ID
          required: true
          schema:
            type: integer
          example: 11001
        - name: retailer_pk
          in: path
          required: true
          description: Retailer ID
          schema:
            type: number
          example: 1000
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RetailerConnectionDetail'
components:
  schemas:
    RetailerConnectionDetail:
      required:
        - brand
        - connection_credentials
      type: object
      properties:
        id:
          description: Retailer connection ID
          example: 1050
          type: integer
          readOnly: true
        brand:
          $ref: '#/components/schemas/BrandContactInfo'
        level:
          description: Retailer connection type
          example: basic
          type: string
          enum:
            - basic
            - full
        status:
          description: Retailer connection status
          example: active
          type: string
          enum:
            - active
            - suspended
            - pending
            - onboarding
        suspended_at:
          description: Time of when the retailer connection got suspended (UTC format)
          example: null
          type: string
          format: date-time
          nullable: true
        created_at:
          description: Time of retailer connection creation (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        updated_at:
          description: Time of retailer connection update (UTC format)
          example: '2022-11-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        shipping_accounts:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ShippingAccountOption'
        connection_contacts:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ConnectionContact'
        connection_credentials:
          type: array
          items:
            $ref: '#/components/schemas/ConnectionCredential'
        connection_fees:
          $ref: '#/components/schemas/ConnectionFee'
        connection_slas:
          $ref: '#/components/schemas/ConnectionSLA'
        connection_adjustments:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ConnectionAdjustment'
        options:
          $ref: '#/components/schemas/ConnectionOption'
        approved_items_count:
          description: Count of approved items
          example: 2
          type: integer
          readOnly: true
        orders_last_7_days_count:
          description: Count of orders in the last 7 days
          example: 8
          type: integer
          readOnly: true
        proposals_received_last_7_days_count:
          description: Count of proposals received in the last 7 days
          example: 8
          type: integer
          readOnly: true
        metadata:
          description: Additional information, if any
          type: string
          readOnly: true
        attachments:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Attachment'
        memos:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Memo'
        referral:
          $ref: '#/components/schemas/ConnectionReferral'
        packing_slip_template:
          description: Template of the packing slip
          maxLength: 64
          type: string
          nullable: true
        integration_type:
          description: Integration type
          example: API
          type: string
          nullable: true
          enum:
            - console
            - edi
            - api
            - storefront
            - console-print-labels
            - console-register-tracking-numbers
            - shopify
            - bigcommerce
            - shipstation
        retailer_identifier:
          description: Retailer identifier
          example: Retailer 877
          maxLength: 32
          type: string
          nullable: true
        onboarding_status:
          description: Status of retailer onboarding
          example: Completed
          type: string
          nullable: true
          enum:
            - pending
            - complete
        onboarding_target_date:
          description: Target date for retailer onboarding (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        onboarded_at:
          description: Time of retailer onboarding (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
    BrandContactInfo:
      required:
        - code
      type: object
      properties:
        id:
          description: ID of vendor (or brand) contact
          example: 5424
          type: integer
          readOnly: true
        name:
          description: Vendor contact name
          example: Vendor ABC
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Vendor contact code
          example: vendor_abc
          maxLength: 64
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        logo_url:
          description: URL of vendor logo
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        cover_url:
          description: URL of the vendor cover
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_tile_url:
          description: URL of the vendor profile image
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        uuid:
          description: 'Universally unique identifier (UUID) '
          example: 54a947ea-19db-4563-8447-1bb2f113c127
          maxLength: 36
          type: string
        joined_at:
          description: Time of vendor joining the platform (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        default_ship_from_location:
          $ref: '#/components/schemas/Location'
        connections_manager:
          $ref: '#/components/schemas/UserContactInfo'
        merchandising_manager:
          $ref: '#/components/schemas/UserContactInfo'
        shipping_manager:
          $ref: '#/components/schemas/UserShort'
        preferences:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Preference'
        verticals:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Vertical'
        attachments:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Attachment'
        website:
          description: Brand URL
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          maxLength: 100
          type: string
          format: uri
          nullable: true
        is_onboarded:
          description: 'true: brand is onboarded <br /> false: brand is not onboarded'
          example: true
          type: boolean
          readOnly: true
        onboarded_at:
          description: Time of vendor onboarding (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        assigned_onboarding_tasks:
          $ref: '#/components/schemas/AssignedOnboardingTask'
        requires_subscription:
          description: Represents whether subscription is required
          example: disabled
          type: string
          enum:
            - disabled
            - enabled
            - upcoming
        inventory_policy:
          description: Inventory policy
          example: unmanaged
          type: string
          enum:
            - unmanaged
            - managed
            - use_variant_policy
    ShippingAccountOption:
      required:
        - nickname
      type: object
      properties:
        id:
          description: Shippping account ID
          example: 1
          type: integer
          readOnly: true
        nickname:
          description: Short name of shipping account, for easier identification
          example: Sample13
          maxLength: 64
          minLength: 1
          type: string
        owner:
          description: Owner of shipping account
          example: DemoABC
          type: string
          readOnly: true
        carrier:
          description: Shipping carrier
          example: ALP Brand
          type: string
          readOnly: true
        shipping_methods:
          $ref: '#/components/schemas/ShippingMethod'
    ConnectionContact:
      type: object
      properties:
        id:
          description: ID of connection contact
          example: 1546
          type: integer
          readOnly: true
        contact_type:
          description: Contact type
          example: merchandising
          type: string
          enum:
            - orders
            - merchandising
            - finance
            - inventory
        brand:
          $ref: '#/components/schemas/BrandShort'
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        user_id:
          description: User ID
          example: 201
          type: integer
          readOnly: true
        first_name:
          description: First name of contact
          example: Demo
          minLength: 1
          type: string
          readOnly: true
        last_name:
          description: Last name of contact
          example: Sample
          minLength: 1
          type: string
          readOnly: true
        email:
          description: Email ID of contact
          example: demo-sample@anc.com
          minLength: 1
          type: string
          readOnly: true
        phone:
          description: Phone number of contact
          example: '12456245984'
          minLength: 1
          type: string
          readOnly: true
    ConnectionCredential:
      required:
        - code
        - name
        - value
      type: object
      properties:
        id:
          description: Connection credential ID
          example: 125
          type: integer
          readOnly: true
        name:
          description: Connection credential name
          example: SampleCred
          maxLength: 256
          minLength: 1
          type: string
        value:
          description: Connection credential value
          example: Sample1
          maxLength: 2048
          minLength: 1
          type: string
        code:
          description: Connection credential code
          example: sample_cred
          maxLength: 256
          minLength: 1
          type: string
        is_encrypted:
          description: >-
            true: connection is encrypted <br /> <br /> connection is not
            encrypted
          example: true
          type: boolean
    ConnectionFee:
      type: object
      properties:
        id:
          description: Connection fee ID
          example: 1000
          type: integer
          readOnly: true
        payment_model:
          description: Payment model
          example: managed
          type: string
          nullable: true
          enum:
            - direct
            - managed
        payment_terms:
          description: Payment terms
          example: net60
          type: string
          nullable: true
          enum:
            - net15
            - net30
            - net45
            - net60
            - net90
        net_price_method:
          description: Method used to calculate net price
          example: permit_cost
          type: string
          nullable: true
          enum:
            - estimated_commission
            - product_cost
            - specified_in_order
            - revshare
            - permit_cost
        revshare_fraction:
          description: Internal only
          example: '0.4000'
          type: string
          format: decimal
          nullable: true
        revc_fee_flat:
          description: Internal only
          example: '0.00'
          minLength: 1
          type: string
        revc_fee_fraction:
          description: Internal only
          example: '0.0300'
          minLength: 1
          type: string
        brand_fee_flat:
          description: Internal only
          example: '0.00'
          minLength: 1
          type: string
        brand_flat_order_fee:
          description: Internal only
          example: '0.00'
          type: string
          format: decimal
          nullable: true
        brand_percent_order_fee:
          description: Vendor percentage of order fee
          example: '0.0000'
          type: string
          format: decimal
          nullable: true
        effective_at:
          description: Time connection fee became effective (UTC format)
          example: '2015-10-10T00:00:00Z'
          type: string
          format: date-time
          readOnly: true
    ConnectionSLA:
      type: object
      properties:
        id:
          description: Connection SLA ID
          example: 1000
          type: integer
          readOnly: true
        brand_inventory_hours:
          description: Inventory update SLA (in hours)
          example: 24
          maximum: 4294967295
          minimum: 0
          type: integer
        brand_fulfillment_hours:
          description: Fulfillment hours of brand
          example: 48
          maximum: 4294967295
          minimum: 0
          type: integer
        brand_cancel_hours:
          description: Timeframe for vendor to cancel order
          example: 24
          maximum: 4294967295
          minimum: 0
          type: integer
        brand_acknowledge_hours:
          description: Timeframe for vendor to acknowledge order
          example: 12
          maximum: 4294967295
          minimum: 0
          type: integer
        retailer_cancel_hours:
          description: Timeframe for retailers to cancel order
          example: 24
          maximum: 4294967295
          minimum: 0
          type: integer
        retailer_return_hours:
          description: Timeframe for retailers to return order
          example: 720
          maximum: 4294967295
          minimum: 0
          type: integer
    ConnectionAdjustment:
      required:
        - description
      type: object
      properties:
        id:
          description: Connection adjustment ID, used for monetary adjustments
          example: 123442
          type: integer
          readOnly: true
        adjustment_code:
          $ref: '#/components/schemas/AdjustmentCode'
        description:
          description: Description of adjustment
          example: Sample description for monetary adjustments
          maxLength: 256
          minLength: 1
          type: string
        adjustment_type:
          description: Adjustment type
          example: Discount
          type: string
          readOnly: true
        adjustment_amount_type:
          description: Adjustment type - dollar amount or percentage
          example: flat
          type: string
          enum:
            - percent
            - flat
        adjustment_amount:
          description: Adjustment amount
          example: '12'
          type: string
          format: decimal
        content_type:
          description: Content type
          example: PDF
          minLength: 1
          type: string
          readOnly: true
        object_id:
          description: Object ID
          example: 45646
          maximum: 4294967295
          minimum: 0
          type: integer
          nullable: true
    ConnectionOption:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Option ID
          example: 8753
          type: integer
          readOnly: true
        name:
          description: Option name
          example: Sample Option
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Option code
          example: Sample_Option
          maxLength: 64
          minLength: 1
          type: string
        description:
          description: Connection description
          example: Sample description for connection
          type: string
          nullable: true
        viewable_by:
          description: User who can view the connection details
          example: All
          type: string
          nullable: true
          enum:
            - retailer
            - brand
            - all
            - none
        editable_by:
          description: User who can edit connection
          example: Staff
          type: string
          nullable: true
          enum:
            - retailer
            - brand
            - staff
    Attachment:
      type: object
      properties:
        id:
          description: Attachment or document ID
          example: 268
          type: integer
          readOnly: true
        content_type:
          description: Content type
          example: 1
          type: integer
        object_id:
          description: Attachement object ID
          example: 666
          type: integer
        file:
          description: File name
          example: Sample file
          type: string
          format: uri
          nullable: true
          readOnly: true
        uploaded_by:
          description: User ID that uploaded the attachment
          example: 646
          type: integer
          nullable: true
        visible_by:
          description: User permission who can view the attachment
          example: connections
          type: string
          enum:
            - me
            - connections
            - everyone
        original_filename:
          description: Original file name
          example: Sample1
          maxLength: 255
          type: string
          nullable: true
        filename:
          description: File name used for sharing
          example: Sample1
          maxLength: 255
          type: string
          nullable: true
        tags:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/AttachmentTag'
        url:
          description: URL of attachment
          example: >-
            https://assets.sample.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
    Memo:
      type: object
      properties:
        id:
          description: Memo ID
          example: 1234
          type: integer
          readOnly: true
        text:
          description: Memo text
          example: Immediate requirement
          type: string
        visibility:
          description: Memo visibility
          example: any
          type: string
          enum:
            - any
            - retailer
            - brand
        acknowledged_at:
          description: Time memo acknowledgement (UTC format)
          example: '2022-01-10T15:24:56Z'
          type: string
          readOnly: true
        notify_people:
          description: 'true: notify stakeholders <br /> false: do not notify'
          example: true
          type: boolean
        created_by:
          $ref: '#/components/schemas/UserShort'
        created_by_context:
          description: Represents whether memo is created by retailer or brand?
          example: retailer
          type: string
          nullable: true
          enum:
            - retailer
            - brand
        created_at:
          description: Time of memo creation (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        updated_at:
          description: Time of memo update (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
    ConnectionReferral:
      type: object
      properties:
        id:
          description: ID of connection referral
          example: 125
          type: integer
          readOnly: true
        referrer:
          $ref: '#/components/schemas/GenericRetailerOrBrandSerialilzer'
        referee:
          $ref: '#/components/schemas/GenericRetailerOrBrandSerialilzer'
        is_brand_first_connection:
          description: >-
            true: brand is first connection <br /> false: brand is not the first
            connection
          example: false"
          type: boolean
        is_retailer_first_connection:
          description: >-
            true: retailer is first connection <br /> false: brand is not the
            first connection
          example: true
          type: boolean
    Location:
      required:
        - nickname
      type: object
      properties:
        id:
          description: Location ID
          example: 87574
          type: integer
          readOnly: true
        nickname:
          description: Location nickname
          example: Sample Location
          maxLength: 64
          minLength: 1
          type: string
        type:
          description: Location type
          example: warehouse
          type: string
          enum:
            - warehouse
            - store
            - headquarters
            - billing
            - return_center
            - ship_to
        address:
          description: Location address
          example: null
          type: string
          readOnly: true
    UserContactInfo:
      type: object
      properties:
        id:
          description: User ID
          example: 355
          type: integer
          readOnly: true
        first_name:
          description: First name of user
          example: Demo
          maxLength: 64
          type: string
          nullable: true
        last_name:
          description: Last name of user
          example: Sample
          maxLength: 64
          type: string
          nullable: true
        email:
          description: Email address of user
          example: demo.sample@gmail.com
          maxLength: 128
          type: string
          format: email
          nullable: true
        title:
          description: Title of the user
          example: Dr
          maxLength: 64
          type: string
          nullable: true
        phone:
          description: Contact number of user
          example: '1234567890'
          maxLength: 16
          type: string
          nullable: true
        status:
          description: Status of user
          example: active
          type: string
          enum:
            - active
            - invited
            - locked
        type:
          description: User type
          example: standard
          type: string
          enum:
            - standard
            - api
        photo_url:
          description: URL of user image
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_photo:
          description: URL of profile image
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        is_me:
          description: 'true: logged in user is me <br /> logged in user is not me'
          example: true
          type: boolean
          readOnly: true
    UserShort:
      type: object
      properties:
        id:
          description: User ID who accepted or rejected the invoice
          example: 542
          type: integer
          readOnly: true
        first_name:
          description: First name of user
          example: Sample
          maxLength: 64
          type: string
          nullable: true
        last_name:
          description: Last name of user
          example: Demo
          maxLength: 64
          type: string
          nullable: true
        title:
          description: User title
          example: Demo
          maxLength: 64
          type: string
          nullable: true
        status:
          description: User status
          example: Active
          type: string
          enum:
            - active
            - invited
            - locked
        type:
          description: User type
          example: standard
          type: string
          enum:
            - standard
            - api
        photo_url:
          description: URL of the user photo
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_photo:
          description: URL of the user's profile photo
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        is_me:
          description: 'true: user is me: <br /> false: user is not me'
          example: true
          type: boolean
          readOnly: true
    Preference:
      required:
        - code
        - content_type
        - name
        - type
      type: object
      properties:
        id:
          description: Preference ID
          example: 901
          type: integer
          readOnly: true
        name:
          description: Preference name
          example: Currency
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Preference code
          example: currency
          maxLength: 64
          minLength: 1
          type: string
        type:
          description: Preference type
          example: freeform
          type: string
          enum:
            - boolean
            - link
            - options
            - freeform
            - integer
            - decimal
        grouping:
          description: Grouping preference
          example: Orders
          type: string
          enum:
            - locale
            - misc
            - onboarding
            - orders
            - proposals
            - products
        priority:
          description: Preference priority
          example: 5
          maximum: 4294967295
          minimum: 0
          type: integer
        description:
          description: Preference description
          example: Sample description for demo preference
          type: string
        content_type:
          description: Content type
          example: null
          type: integer
        default_option:
          $ref: '#/components/schemas/PreferenceOption'
        options:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PreferenceOption'
        payload_type:
          description: Payload type. Default type is value.
          example: value
          type: string
          readOnly: true
        brand_preference:
          $ref: '#/components/schemas/BrandPreference'
        retailer_preference:
          $ref: '#/components/schemas/RetailerPreference'
        user_preference:
          $ref: '#/components/schemas/UserPreference'
    Vertical:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Vertical ID
          example: 123
          type: integer
          readOnly: true
        name:
          description: Vertical name
          example: Sample Vertical
          maxLength: 32
          minLength: 1
          type: string
        code:
          description: Vertical code
          example: sample_vertical
          maxLength: 32
          minLength: 1
          type: string
        assets:
          type: array
          items:
            properties: {}
    AssignedOnboardingTask:
      type: object
      properties:
        id:
          description: Onboarding task ID (vendor context)
          example: 125
          type: integer
          readOnly: true
        onboarding_task:
          $ref: '#/components/schemas/OnboardingTask'
        info:
          description: JSON object with details, if applicable
          type: object
          properties: {}
        completed_at:
          description: Time of task completion (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        completed_by:
          $ref: '#/components/schemas/UserMini'
        created_at:
          description: Time of task creation (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
    ShippingMethod:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: ID of shipping method
          example: 5
          type: integer
          readOnly: true
        name:
          description: Name of shipping method
          example: White Glove Bronze
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Code of shipping method
          example: cory_white_glove
          maxLength: 64
          minLength: 1
          type: string
        type:
          description: Type of shipping method
          example: ltl (less than truck load)
          type: string
          enum:
            - small_parcel
            - ltl
        carrier:
          $ref: '#/components/schemas/Carrier'
        generic_shipping_method:
          $ref: '#/components/schemas/GenericShippingMethod'
    BrandShort:
      required:
        - code
      type: object
      properties:
        id:
          description: Vendor (brand) ID
          example: 500
          type: integer
          readOnly: true
        name:
          description: Vendor name
          example: Marla Cielo
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Vendor code, which is vendor name in lower case and underscore
          example: demo-brand
          maxLength: 64
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        joined_at:
          description: Time when vendor joined Dropship (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        logo_url:
          description: URL of the brand logo
          example: https://images.revcascade.com/retailers/defaults/logo-lg.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        cover_url:
          description: URL of the cover image
          example: https://images.revcascade.com/retailers/defaults/cover.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_tile_url:
          description: URL of the profile image
          example: https://images.revcascade.com/retailers/defaults/profile-tile.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        website:
          description: URL of brand website
          example: null
          maxLength: 100
          type: string
          format: uri
          nullable: true
        is_onboarded:
          description: 'true: Vendor is onboarded <br /> false: Vendor is not onboarded'
          example: false
          type: boolean
          readOnly: true
        is_on_rcn:
          description: 'true: is on Dropship network <br /> false: not on Dropship network'
          example: false
          type: boolean
        requires_subscription:
          description: Represents whether subscription is required
          example: enabled
          type: string
          enum:
            - disabled
            - enabled
            - upcoming
        subscription_expires_at:
          description: Subscription expiry Time (UTC format)
          example: '2024-09-19T13:32:10Z'
          type: string
          format: date-time
          nullable: true
        grace_period_ends_at:
          description: Time of grace period expiration (UTC format)
          example: '2024-10-26T13:32:10Z'
          type: string
          format: date-time
          nullable: true
        subscription_is_expired:
          description: 'true: subscription is expired <br /> false: subscription is active'
          example: false
          type: boolean
          readOnly: true
        subscription_is_on_grace_period:
          description: >-
            true: subscription is on grace period <br /> false: subscription is
            not on grace period
          example: false
          type: boolean
          readOnly: true
        subscription_is_delinquent:
          description: 'true: subscription is overdue <br /> false: subscription is paid'
          example: false
          type: boolean
          readOnly: true
        inventory_policy:
          description: Inventory policy
          example: managed
          type: string
          enum:
            - unmanaged
            - managed
            - use_variant_policy
        status:
          description: Vendor status
          example: active
          type: string
          enum:
            - active
            - pending
            - inactive
    RetailerShort:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Retailer ID
          example: 500
          type: integer
          readOnly: true
        name:
          description: Retailer name
          example: Demo Retailer
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Retailer code, which is retailer name in lower case and hyphenated
          example: demo-retailer
          maxLength: 32
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        logo_url:
          description: URL of retailer logo
          example: >-
            https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        cover_url:
          description: URL of retailer cover image
          example: >-
            https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_tile_url:
          description: URL of retailer profile image
          example: >-
            https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg
          minLength: 1
          type: string
          format: uri
          readOnly: true
        joined_at:
          description: Time of retailer joining Dropship (UTC format)
          example: '2021-08-03T17:24:12Z'
          type: string
          format: date-time
          readOnly: true
        is_rcn_retailer:
          description: >-
            true: Retailer is in Dropship network; Retailer is not in Dropship
            network
          example: false
          type: boolean
        is_onboarded:
          description: 'true: Retailer is onboarded <br /> false: Retailer is not onboarded'
          example: false
          type: boolean
        platform:
          description: Platform on which retailer is onboarded
          example: fabric
          type: string
          enum:
            - fabric
        requires_subscription:
          description: Represent whether retailer requires subscription to use the platform
          example: disabled
          type: string
          enum:
            - disabled
            - enabled
            - upcoming
        brand_permit_creation_allowed:
          description: >-
            true: Platform allows creation of brand permit <br /> false:
            Platform doesn't require creation of brand permit
          example: false
          type: boolean
        website:
          description: Website URL
          example: https://demoabc.com
          maxLength: 100
          type: string
          format: uri
          nullable: true
        status:
          description: Retailer status
          example: active
          type: string
          enum:
            - active
            - setup
            - ghost
    AdjustmentCode:
      required:
        - adjustment_type
        - code
        - description
      type: object
      properties:
        id:
          description: Adjustment ID
          example: 1
          type: integer
          readOnly: true
        adjustment_type:
          description: Adjustment type
          example: Allowance
          type: string
          enum:
            - allowance
            - charge
        code:
          description: Adjustment code
          example: returns_allowance
          maxLength: 64
          minLength: 1
          type: string
        description:
          description: Description of adjustment
          example: returns_allowance
          maxLength: 128
          minLength: 1
          type: string
    AttachmentTag:
      required:
        - tag
      type: object
      properties:
        id:
          description: Attachment tag ID
          example: 432
          type: integer
          readOnly: true
        tag:
          description: attachment tag
          example: demotag
          maxLength: 128
          minLength: 1
          type: string
    GenericRetailerOrBrandSerialilzer:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Retailer or Vendor (Brand) ID
          example: 675
          type: integer
          readOnly: true
        code:
          description: Retailer or Vendor (Brand) code
          example: retailer_abc
          maxLength: 32
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        name:
          description: Retailer or Vendor (Brand) name
          example: Retailer ABC
          maxLength: 64
          minLength: 1
          type: string
    PreferenceOption:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Preference option ID
          example: 234
          type: integer
          readOnly: true
        name:
          description: Preference option name
          example: Sample Prefs
          maxLength: 32
          minLength: 1
          type: string
        code:
          description: Preference option code
          example: sample_prefs
          maxLength: 32
          minLength: 1
          type: string
        value:
          description: Preference option value
          maxLength: 256
          type: string
          nullable: true
        currency:
          $ref: '#/components/schemas/Currency'
        timezone:
          $ref: '#/components/schemas/Timezone'
    BrandPreference:
      type: object
      properties:
        id:
          description: Brand preference ID
          example: 545
          type: integer
          readOnly: true
        option_id:
          description: Option ID
          example: '656'
          type: string
          readOnly: true
        currency:
          $ref: '#/components/schemas/Currency'
        timezone:
          $ref: '#/components/schemas/Timezone'
        value:
          description: Value based on the preference
          maxLength: 256
          type: string
          nullable: true
    RetailerPreference:
      type: object
      properties:
        id:
          description: Retailer preference ID
          example: 124
          type: integer
          readOnly: true
        option_id:
          description: Option ID
          example: SampleOpt123
          type: string
          readOnly: true
        currency:
          $ref: '#/components/schemas/Currency'
        timezone:
          $ref: '#/components/schemas/Timezone'
        value:
          description: Value based on the preference
          maxLength: 256
          type: string
          nullable: true
    UserPreference:
      type: object
      properties:
        id:
          description: User preference ID
          example: 154
          type: integer
          readOnly: true
        option_id:
          description: Option ID
          example: Sample Option
          type: string
          readOnly: true
        currency:
          $ref: '#/components/schemas/Currency'
        timezone:
          $ref: '#/components/schemas/Timezone'
        value:
          description: Value based on the preference
          maxLength: 256
          type: string
          nullable: true
    OnboardingTask:
      required:
        - code
        - name
        - priority
        - status
        - type
      type: object
      properties:
        id:
          description: Onboarding task ID
          example: 345
          type: integer
          readOnly: true
        name:
          description: Task name
          example: Task1
          maxLength: 128
          minLength: 1
          type: string
        code:
          description: Task code
          example: task1
          maxLength: 64
          minLength: 1
          type: string
        description:
          description: Task descripton
          example: Onboard sample task 1
          maxLength: 256
          type: string
          nullable: true
        type:
          description: Task type
          example: Initial
          type: string
          enum:
            - initial
            - conditional
            - network
        priority:
          description: Task prority
          example: 2
          maximum: 4294967295
          minimum: 0
          type: integer
        status:
          description: Task status
          example: In Progress
          type: string
          enum:
            - active
            - inactive
        content_type:
          description: Content type
          example: PDF
          minLength: 1
          type: string
          readOnly: true
        created_at:
          description: Time of task creation (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
    UserMini:
      type: object
      properties:
        id:
          description: User ID
          example: 145
          type: integer
          readOnly: true
        first_name:
          description: First name of user
          example: Demo
          maxLength: 64
          type: string
          nullable: true
        last_name:
          description: Last name of user
          example: Sample
          maxLength: 64
          type: string
          nullable: true
        name:
          description: Full name of user
          example: Demo Sample
          minLength: 1
          type: string
          readOnly: true
        email:
          description: Email address of user
          example: demo@xyz.com
          maxLength: 128
          type: string
          format: email
          nullable: true
        title:
          description: Title of user
          example: Mr
          maxLength: 64
          type: string
          nullable: true
        status:
          description: User status
          example: active
          type: string
          enum:
            - active
            - invited
            - locked
        type:
          description: User type
          example: standard
          type: string
          enum:
            - standard
            - api
    Carrier:
      type: object
      properties:
        id:
          description: Carrier ID
          example: 229
          type: integer
          readOnly: true
        name:
          description: Carrier name
          example: Cory Companies
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Carrier code
          example: CJCD
          maxLength: 64
          minLength: 1
          type: string
    GenericShippingMethod:
      required:
        - description
        - name
      type: object
      properties:
        id:
          description: ID of shipping method
          example: 5
          type: integer
          readOnly: true
        name:
          description: Name of shipping method
          example: LTL
          maxLength: 32
          minLength: 1
          type: string
        description:
          description: Description of shipping method
          example: Less than truckload (LTL)
          maxLength: 128
          minLength: 1
          type: string
        type:
          description: Type of shipping method
          example: ltl
          type: string
          enum:
            - small_parcel
            - ltl
    Currency:
      type: object
      properties:
        id:
          description: Currency ID
          example: 1
          type: integer
          readOnly: true
        name:
          description: Currency name
          example: United States Dollar
          maxLength: 200
          type: string
        symbol:
          description: Currency symbol
          example: $
          maxLength: 5
          type: string
          nullable: true
        unit:
          description: Currency unit
          example: USD
          type: string
          readOnly: true
    Timezone:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Timezone ID
          example: 7567
          type: integer
          readOnly: true
        name:
          description: Timezone name
          example: Demo
          maxLength: 32
          minLength: 1
          type: string
        code:
          description: Timezone code
          example: demo
          maxLength: 32
          minLength: 1
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````